Bug Hunting Session
Bug 45096 (userBA) - Macros: Macro code does that triggers type parsing (conversion) not work (WMI)
Summary: Macros: Macro code does that triggers type parsing (conversion) not work (WMI)
Status: RESOLVED INVALID
Alias: userBA
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.5.0 RC2
Hardware: x86-64 (AMD64) Windows (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-22 11:17 UTC by userBA
Modified: 2016-05-09 20:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description userBA 2012-01-22 11:17:48 UTC
Problem description: 

http://www.oooforum.org/forum/viewtopic.phtml?t=41219

Option Compatible 
 Sub Main 
 Dim a As ScriptControl 
 Set a = New ScriptControl 
 a.Language = "VBscript" 
 sWMI = "winmgmts:{impersonationLevel=impersonate}!\\.\root\cimv2" 
 sQuery = "Select * from Win32_ComputerSystem" 
 a.AddCode "Function user(w,s): " & _ 
           "Set oQ = GetObject(w).ExecQuery(s)" & Chr(10) & _ 
           "For Each ob In oQ:user=ob.UserName:Next:End Function" 
 MsgBox a.Run("user", sWMI, sQuery) 
 End Sub

******************************************************************
******************************************************************
Macro code work in Libre Office 3.4.x
Macro code does not work in Libreoffice 3.5.0 RC1
Is it a bug?
******************************************************************
******************************************************************

BASIC runtime error.
'1'

Type: com.sun.star.uno.RuntimeException
Message: [automation bridge]UnoConversionUtilities<T>::anyToVariant
Conversion of any with string to VARIANT with type: 101 failed! Error code:
-2147352568

Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:

Expected behavior:

Platform (if different from the browser): 
              
Browser: Opera/9.80 (Windows NT 6.1; U; hr) Presto/2.10.229 Version/11.60
Comment 1 Cor Nouws 2012-02-06 06:10:22 UTC
have not checked the code..
Comment 2 Björn Michaelsen 2014-01-17 00:43:38 UTC
(This is an automated message.)

LibreOffice development currently prioritizes bugs with the so called MAB (most annoying bugs) -- as this bug has not run through that process (including writing a short rationale for this bug being a candidate and other who are watching the tracker bug silently approving that rationale etc.) its priority is set to high. Note this is effectively no change in the urgency assigned to this bug, as we are currently not making a difference between high and highest and severity is untouched.

You can find out more about MABs and how the process works by contacting libreoffice qa on irc:

 http://webchat.freenode.net/?channels=libreoffice-qa

The QA wiki page also gives you hints on how to get in contact with the team (if IRC fails you, your next best choice is the mailing list):

 https://wiki.documentfoundation.org/QA
Comment 3 Joel Madero 2015-05-02 15:42:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.2 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-05-02
Comment 4 Buovjaga 2015-06-20 14:49:41 UTC
Never confirmed by QA.

Is this still an issue?

Set to NEEDINFO.
Change to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 5 QA Administrators 2015-12-27 20:31:41 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 6 Bonny Dyer 2016-02-12 15:25:37 UTC
This is Greek to me!
Problem with file conversion from Word on Windows 10.
view only.
Need to edit a doc and can't use Libre.

Bonny
Comment 7 Buovjaga 2016-02-12 15:35:04 UTC
(In reply to Bonny Dyer from comment #6)
> This is Greek to me!
> Problem with file conversion from Word on Windows 10.
> view only.
> Need to edit a doc and can't use Libre.

Why did you reply to this? Are you userBA, the original reporter?
Comment 8 QA Administrators 2016-05-09 20:08:32 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

This INVALID Message was generated on: 2016-05-09